Bug 845504 - gluster volume create --xml output is not in the format
gluster volume create --xml output is not in the format
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
mainline
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Kaushal
: Triaged
Depends On:
Blocks: 849293 858460
  Show dependency treegraph
 
Reported: 2012-08-03 05:17 EDT by Bala.FA
Modified: 2015-11-22 21:57 EST (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 849293 (view as bug list)
Environment:
Last Closed: 2013-07-24 13:25:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bala.FA 2012-08-03 05:17:12 EDT
gluster volume create --xml prints wrong xml structure
<cliOutput>
  <volCreate>
    <count>1</count>
    <bricks> 192.168.122.2:/tmp/test2-b1 </bricks>
    <transport>tcp</transport>
    <type>0</type>
    <volname>test2</volname>
  </volCreate>
</cliOutput>

It needs to output something like
<cliOutput>
  <opRet>0</opRet>
  <opErrno>0</opErrno>
  <opErrstr/>
  <volCreate>
    <volume>
      <name>music</name>
      <id>b3114c71-741b-4c6f-a39e-80384c4ea3cf</id>
      <type>2</type>
      <status>1</status>
      <brickCount>2</brickCount>
      <distCount>2</distCount>
      <stripeCount>1</stripeCount>
      <replicaCount>2</replicaCount>
      <transport>0</transport>
      <bricks>
        <brick>192.168.122.2:/tmp/music-b1</brick>
        <brick>192.168.122.2:/tmp/music-b2</brick>
      </bricks>
    </volume>
  </volCreate>
</cliOutput>

If not all volume info is possible, atleast <name> and <id> needs to be present
Comment 1 Kaushal 2012-10-10 03:20:59 EDT
Patch under review at http://review.gluster.org/3869
Comment 2 Kaushal 2012-10-11 23:50:08 EDT
Fixed by commit f1f3d1c (cli: Changes and enhancements to XML output) for bug https://bugzilla.redhat.com/show_bug.cgi?id=828131 . Reviewed at http://review.gluster.org/3869 .
Comment 3 Bala.FA 2012-10-17 02:18:05 EDT
Fixed in upstream

Note You need to log in before you can comment on or make changes to this bug.